/* Game Header Styles */
.game-header {
  display: flex;
  padding: 0;
  background-color: transparent;
  gap: 5px;
  max-width: 100%;
  margin: 0 auto;
  
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;  
  justify-content: center;
  width: 100%;
}

.header-group {
  display: flex;
  align-items: stretch;
  position: relative;
  border-radius: 0 0 15px 15px;
  width: 50%;
}

.control-buttons {
  background-color: transparent;
  color: white;
  padding: 0;
  font-size: 16px;
  line-height: 1.3;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2%;
  position: relative;
  z-index: 2;
  width: 100%;
  height: 100%;
}

.control-btn {
  border: none;
  color: white;
  font-size: 18px;
  cursor: pointer;
  background-color: #775344;
  padding: 20px 30px;
  text-align: center;
  border-radius: 0 0 15px 15px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
  align-self: center;
  min-width: 25%;
  width: fit-content;
  height: 100%;
  position: relative;
}

.control-label {
  text-wrap: nowrap;
}

.control-btn.history {
  background-color: #775344;
}

.control-btn.settings {
  background-color: #775344;
}

.control-btn.back{
  background-color: #775344;
}

/* Header Styles */
.nav-section {
  width: 50%;
  position: relative;
}

.header-group, .main-control-group {
  display: flex;
  align-items: stretch;
  height: 75px;
  position: relative;
}

.banner-label {
  background-color: #5abcf1;
  color: #333333;
  padding: 20px 25px;
  font-size: 30px;
  font-weight: 700;
  line-height: 1.3;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0 0 15px 15px;
  width: 100%;
  height: 100%;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  position: absolute;
  top: 0;
  left: 0;
}



/* Responsive Styles */

@media(max-width: 1240px){
  .control-buttons{
    justify-content: space-evenly;
    gap: 10px;
  }
  .control-label{
    font-size: 15px;
  }
  .control-btn{
    min-width: 20%;
  }
}

@media (max-width: 1024px) {

  .banner-label {
    font-size: 25px;
    
  }

  .control-btn {
    width: fit-content;
    min-width: 20%;
  }

  .control-label {
    font-size: 15px;
  }
}

@media (max-width: 992px) {
  .game-header {
    flex-direction: column;
    align-items: center;
  }

  .header-group, .nav-section {
    width: 100%;
  }

  .banner-label {
    position: absolute;
    z-index: 1000;
  }

  .control-buttons {
    position: absolute;
    z-index: 900;
    top: -35px;
    left: 0;
    min-height: 100px;
    gap: 1px;
    justify-content: center;
  }
  
  
  .control-btn {
    font-size: 16px;
    min-width: 20%;
    width: fit-content;
  }

  .control-label {
    position: relative;
    text-align: center;
    top: 25%;
    text-wrap: wrap;
    
  }
}

@media (max-width: 768px) {
  .banner-label {
    font-size: 20px;
    padding: 12px 15px;
  }

  .control-buttons {
    position: absolute;
    z-index: 900;
    top: -45px;
    left: 0;
    min-height: 100px;
    gap: 5px;
  }

  .control-btn {
    font-size: 14px;
    padding: 12px 15px;
    min-width: 30%;
  }

  .header-group, .main-control-group {
    height: 60px;
  }

  .control-label {
    text-wrap: wrap;
  }
}

@media (max-width: 576px) {
  .banner-label {
    font-size: 18px;
    padding: 10px 12px;
  }

  .control-buttons {
    position: absolute;
    z-index: 900;
    top: -50px;
    left: 0;
    min-height: 100px;
    
  }

  .control-btn {
    font-size: 12px;
    padding: 10px 12px;
    width: fit-content;
    gap: 1px;
    
  }

  .header-group, .main-control-group {
    height: 50px;
  }

  .control-label {
    text-wrap: nowrap;
  }
  
}

@media (max-width: 480px) {
  .control-label{
    font-size: 12px;
    text-wrap: wrap;
  }

  .control-buttons{
    min-width: 10%;
  }
}

@media (max-width: 375px) {
  .control-label{
    font-size: 10px;
  }
  
  
}

/* Hover effects */
.control-btn:hover {
  height: 85px;
  background-color: #68493d;
}

.control-btn.history:hover {
  background-color: #68493d;
}

.control-btn.settings:hover {
  background-color: #68493d;
}

.control-btn.back:hover{
  background-color: #68493d;
}

.banner-label:hover {
  background-color: #3aa1d9;
  height: 110%;
}

